summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulian Blake Kongslie <jblake@omgwallhack.org>2010-11-05 10:46:31 -0700
committerJulian Blake Kongslie <jblake@omgwallhack.org>2010-11-05 10:46:31 -0700
commit21686ed3494505db5ba64fea1c2a026544a061a4 (patch)
tree4caeeeb940ab21efdcac13b2e4403e4a28b1dac5
parent6bbccf4b39ff41187259d28adca744497f5128f1 (diff)
downloadpiny-code-21686ed3494505db5ba64fea1c2a026544a061a4.tar.gz
piny-code-21686ed3494505db5ba64fea1c2a026544a061a4.zip
Script to build packages.
-rwxr-xr-xbuilddebs23
1 files changed, 23 insertions, 0 deletions
diff --git a/builddebs b/builddebs
new file mode 100755
index 0000000..272fa32
--- /dev/null
+++ b/builddebs
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+set -o pipefail
+
+for SOURCE in libpiny pinyadmin; do cd "$SOURCE"; debuild -tc; done
+
+equivs-build -f piny.equiv
+
+echo
+echo -n "Install packages? (y/N) "
+read -n 1 INSTALL
+if [ "$INSTALL" == "y" ]; then debi *.changes; fi
+
+echo
+echo -n "Push packages? (y/N) "
+read -n 1 PUSH
+if [ "$PUSH" == "y" ]; then dput *.changes; fi
+
+echo
+echo -n "Clean repo? (Y/n) "
+read -n 1 CLEAN
+if [ "$CLEAN" != "n" ]; then git clean; fi